Логотип   Простое и понятное управление
  Уникальные возможности по настройке
  Open Server скачали уже 1 021 172 раза!

Форум

Добро пожаловать, Гость!

Подготовка список

Обсуждение общих вопросов связанных с программой
Septor
Сообщения: 158
C нами: 4 года 10 мес

Непрочитанное сообщение Septor » 17 апр 2012, 11:37

Максим..., не в обиду, вышла новая версия, и в ней те же грабли с первой установкой.
Не понимаю я, зачем нужно при первой установке каждый раз устанавливать MV C++ 2005(2008,2010) и ImageMagick, если это уже стоит, и последних версий. Не лучше ли дать выбор, ставить или нет это?
Ну и во первых, не показывает что ставит, благо не вирусы, по крайней мере антивирь промолчал, во вторых, даже если это комуто и не проблема - первая установка с повторно перезаписью уже установленных точно таких же библиотек, то надо хотя бы писать что устанавливает.

Было бы всё же разумно внести это в новую версию, дать выбор при установке, нужно ли ставить библиотеки С++ и ImageMagick или нет.
К тому же ImageMagick лучше вынести в расширения, так как не всем он нужен, к тому же установленной программой. Я лично его сразу снёс, как в первый раз, так и сейчас, для обработки графики у меня другие средства, получше этого консольного полуфабриката.

Аватара пользователя
Максим
Сообщения: 4877
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 17 апр 2012, 11:45

Насчет Imagick согласен, возможно что-то придумаю. Насчет остального нет. Почему вы решили что у вас стоят те же библиотеки? Я уже писал на форуме не раз, что я их периодически обновляю + без них работа сервера невозможна. Конечно я вас понимаю, но и вы поймите, что это сделано исключительно для блага - миллион жалоб на незапуск не будут созданы благодаря принудительной установке библиотек. Да и к тому же библиотеки VC++ очень много для каких программ и игр нужны, ваш компьютер станет меньше выдавать ошибок ;)

Septor
Сообщения: 158
C нами: 4 года 10 мес

Непрочитанное сообщение Septor » 17 апр 2012, 12:23

Насчет Imagick согласен, возможно что-то придумаю. Насчет остального нет. Почему вы решили что у вас стоят те же библиотеки?

А почему вы решили что у меня не стоят те же библиотеки, когда у меня на компе уже были библиотеки установленными с виндой, установлены библиотеки с полным пакетом макрософт офис, с адоба дизайн премиум 5.5, с Microsoft VS 2010 другими программами и последними современными играми. К примеру прошлая версия запустилась и работала без первого запуска, на свеже установленной системе, без установленных программ. Она у меня была установлена на старой системе, которую я не стал переносить на новый SSD диск.

Да и к тому же библиотеки VC++ очень много для каких программ и игр нужны, ваш компьютер станет меньше выдавать ошибок ;)

С этим у меня проблем нет.., 17 лет с компом, первый комп сам паял в 1995-м, и прошивку вручную на асемблере набирал, знаю оси начиная с бейсик и паскаль интерпретатора. 8-)


Ну и как уже писал, мне конечно не проблема сделать первый запуск, учитывая что следующий первый может быть через год, но хотелось бы без этого. Делать установку библиотек, только для того что бы дополнительно сконфигурировать настройку сервера, по моему излишне.

Но раз нет, значит нет, хозяин барин. По крайней мере хотя бы ImageMagick убрать в расширения. 8-)

Апропо расширения..., посмотрел что есть внутри, сказать честно, сделана на мой взгляд много не нужной работы, много лишнего, да и по крайней мере часть программ которые я знаю, есть в портабле версиях и так, и можно было просто дать ссылки. Сам пользую не один год некоторые из них, взять к примеру тот же Notepad++, который у разрабов лежит как в установщике, так и просто в зипе.
Да и учитывая комплект, который довольно большой для всё ещё сидящих на модемах со скростью 4-5 КБ/с, куда лучше было бы все программы отдельно выложить, так как вероятность того что из комплекта будет использоваться лишь пара программ, довольно большая.
Но раз народ такое просил, то и карты ему в руки.., пущай качают три дня, мне не жарко, я за 30 секунд скачал. ;)

factotum
Сообщения: 24
C нами: 4 года 7 мес

Непрочитанное сообщение factotum » 17 апр 2012, 12:41

Septor писал(а):всё ещё сидящих на модемах со скростью 4-5 КБ/с
простите, стесняюсь спросить - что сейчас делать в инете на модемах со скоростью 4-5 КБ/с?

Septor
Сообщения: 158
C нами: 4 года 10 мес

Непрочитанное сообщение Septor » 17 апр 2012, 13:15

простите, стесняюсь спросить - что сейчас делать в инете на модемах со скоростью 4-5 КБ/с?

***

Не уловил полного смысла вопроса..., действительно, кто сегодня сидит на модеме, и занимается чем то, что требует установки на комп сервера. :) Тут да.., то что написал про 4-5 КБ/с было не в тему.
Последний раз редактировалось Septor 17 апр 2012, 13:26, всего редактировалось 2 раза.

factotum
Сообщения: 24
C нами: 4 года 7 мес

Непрочитанное сообщение factotum » 17 апр 2012, 13:18

Septor, людям, попадающим под вышеуказанное описание, не нужен Open Server.

Septor
Сообщения: 158
C нами: 4 года 10 мес

Непрочитанное сообщение Septor » 17 апр 2012, 13:25

Не успел внести поправку, читаем выше в моём посте, заклинило малёха ;)

Ganster41
Сообщения: 66
C нами: 4 года 9 мес

Непрочитанное сообщение Ganster41 » 17 апр 2012, 15:34

А с какими именно модулями проблемы в PHP 5.4? Только что вот перенес на новый Open Server свои конфиги для 5.4 - все работает, Startup Errors не вылезают, хотя включены в инишнике.
Включенные модули:
extension=php_mbstring.dll
extension=php_bz2.dll
extension=php_curl.dll
extension=php_gd2.dll
extension=php_mysql.dll
extension=php_mysqli.dll
extension=php_openssl.dll

Аватара пользователя
Максим
Сообщения: 4877
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 17 апр 2012, 15:53

Непомню уже какие, sqlite, sqlite3, zip... точно вызывали ошибку.

Ganster41
Сообщения: 66
C нами: 4 года 9 мес

Непрочитанное сообщение Ganster41 » 17 апр 2012, 16:30

sqlite3 грузится нормально, php_zip.dll я вообще нигде не нашел готовой для 5.4. На php_pdo_sqlite ругается, да. Не думаю что велика потеря, тем более никого же не заставляют пользоваться 5.4 :)
Но лучше бы конечно дождаться от кого-нибудь/самому собрать недостающие PECL-библиотеки, да. Imagick кстати удалось найти готовый, он тоже работает нормально.


Вернуться в «Обсуждение Open Server»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей